package com.speedata.barcodeaidl;

import androidx.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class BarcodeConfig {

    public String version;
    public String type;
    public String lock_password;
    public String region;
    public String advanced_enable;
    public List<ScanSetting> scan_setting;

    public String getVersion() {
        return version;
    }

    public String getType() {
        return type;
    }

    public String getLock_password() {
        return lock_password;
    }

    public String getRegion() {
        return region;
    }

    public String getAdvanced_enable() {
        return advanced_enable;
    }

    public List<ScanSetting> getScan_setting() {
        return scan_setting;
    }

    public static class ScanSetting {
        public List<Common> common;
        public List<SoftwareEngine> softwareEngine;
        @SerializedName("EM2037")
        public List<EM2037> eM2037;

        public List<Common> getCommon() {
            return common;
        }

        public List<SoftwareEngine> getSoftwareEngine() {
            return softwareEngine;
        }

        public List<EM2037> geteM2037() {
            return eM2037;
        }

        public static class Common {

            @SerializedName("EXTRA_SCAN_POWER.Enable")
            public String EXTRA_SCAN_POWEREnable;
            @SerializedName("OUTPUT_MODE.KBW")
            public String OUTPUT_MODEKBW;
            @SerializedName("OUTPUT_MODE.API")
            public String OUTPUT_MODEAPI;
            @SerializedName("SEND_SCAN_FAIL_BROADCAST.Enable")
            public String SEND_SCAN_FAIL_BROADCASTEnable;
            @SerializedName("OUTPUT_MODE.FILL")
            public String OUTPUT_MODEFILL;
            @SerializedName("OUTPUT_MODE.OVERWRITE")
            public String OUTPUT_MODEOVERWRITE;
            @SerializedName("OUTPUT_MODE.OUTPUT_ENTER")
            public String OUTPUT_MODEOUTPUT_ENTER;
            @SerializedName("OUTPUT_MODE.SEND_VIRTUAL_KEY")
            public String OUTPUT_MODESEND_VIRTUAL_KEY;
            @SerializedName("SCAN_MODE.LEVEL_MODE")
            public String SCAN_MODELEVEL_MODE;
            @SerializedName("SCAN_MODE.CONTINUOUS_MODE")
            public String SCAN_MODECONTINUOUS_MODE;
            @SerializedName("SCAN_MODE.PLUSE_MODE")
            public String SCAN_MODEPLUSE_MODE;
            @SerializedName("SCAN_MODE.DELAY_MODE")
            public String SCAN_MODEDELAY_MODE;
            @SerializedName("SCAN_MODE.DECODE_TIMEOUT")
            public String SCAN_MODEDECODE_TIMEOUT;
            @SerializedName("SCAN_MODE.REPEAT_INTERVAL")
            public String SCAN_MODEREPEAT_INTERVAL;
            @SerializedName("SCAN_TRIGGER.MAIN_SCAN_KEY")
            public String SCAN_TRIGGERMAIN_SCAN_KEY;
            @SerializedName("SCAN_TRIGGER.SIDE_SCAN_KEY")
            public String SCAN_TRIGGERSIDE_SCAN_KEY;
            @SerializedName("SCAN_TRIGGER.STOCK_SCAN_KEY")
            public String SCAN_TRIGGERSTOCK_SCAN_KEY;
            @SerializedName("PREFIX_SUFFIX.PREFIX")
            public String PREFIX_SUFFIXPREFIX;
            @SerializedName("PREFIX_SUFFIX.PREFIX_VALUE")
            public String PREFIX_SUFFIXPREFIX_VALUE;
            @SerializedName("PREFIX_SUFFIX.SUFFIX")
            public String PREFIX_SUFFIXSUFFIX;
            @SerializedName("PREFIX_SUFFIX.SUFFIX_VALUE")
            public String PREFIX_SUFFIXSUFFIX_VALUE;
            @SerializedName("GOODREAD_INDICATOR.SOUND")
            public String GOODREAD_INDICATORSOUND;
            @SerializedName("GOODREAD_INDICATOR.VIBRATE")
            public String GOODREAD_INDICATORVIBRATE;
            @SerializedName("GOODREAD_INDICATOR.LED")
            public String GOODREAD_INDICATORLED;
            @SerializedName("ENCODING.AUTO")
            public String ENCODINGAUTO;
            @SerializedName("ENCODING.USER_DEFINE")
            public String ENCODINGUSER_DEFINE;
            @SerializedName("DATA_EDIT.SCRIPT_CONTENT")
            public String DATA_EDITSCRIPT_CONTENT;
            @SerializedName("DATA_EDIT.ENABLE")
            public String DATA_EDITENABLE;
            @SerializedName("BROADCAST_OUTPUT_SETTINGS.ACTION")
            public String BROADCAST_OUTPUT_SETTINGSACTION;
            @SerializedName("BROADCAST_OUTPUT_SETTINGS.RESULT1")
            public String BROADCAST_OUTPUT_SETTINGSRESULT1;
            @SerializedName("BROADCAST_OUTPUT_SETTINGS.RESULT2")
            public String BROADCAST_OUTPUT_SETTINGSRESULT2;
            @SerializedName("BROADCAST_OUTPUT_SETTINGS.BARCODE_TYPE")
            public String BROADCAST_OUTPUT_SETTINGSBARCODE_TYPE;
            @SerializedName("BROADCAST_OUTPUT_SETTINGS.BARCODE_TYPE_NAME")
            public String BROADCAST_OUTPUT_SETTINGSBARCODE_TYPE_NAME;
        }

        public static class SoftwareEngine {
            @SerializedName("AZTEC.Enable")
            public String AZTECEnable;
            @SerializedName("AZTEC.Minlen")
            public String AZTECMinlen;
            @SerializedName("AZTEC.Maxlen")
            public String AZTECMaxlen;
            @SerializedName("AZTEC.CodeNum")
            public String AZTECCodeNum;
            @SerializedName("AZTEC.NumFixed")
            public String AZTECNumFixed;
            @SerializedName("AZTEC.VideoMode")
            public String AZTECVideoMode;


            @SerializedName("COMPOSITE.Enable")
            public String COMPOSITEEnable;
            @SerializedName("COMPOSITE.UpcEan")
            public String COMPOSITEUpcEan;


            @SerializedName("CSC.Enable")
            public String CSCEnable;
            @SerializedName("CSC.Minlen")
            public String CSCMinlen;
            @SerializedName("CSC.Maxlen")
            public String CSCMaxlen;
            @SerializedName("CSC.CodeNum")
            public String CSCCodeNum;
            @SerializedName("CSC.NumFixed")
            public String CSCNumFixed;
            @SerializedName("CSC.VideoMode")
            public String CSCVideoMode;


            @SerializedName("DM.Enable")
            public String DMEnable;
            @SerializedName("DM.Minlen")
            public String DMMinlen;
            @SerializedName("DM.Maxlen")
            public String DMMaxlen;
            @SerializedName("DM.CodeNum")
            public String DMCodeNum;
            @SerializedName("DM.NumFixed")
            public String DMNumFixed;
            @SerializedName("DM.VideoMode")
            public String DMVideoMode;
            @SerializedName("DM.RectAngle")
            public String DMRectAngle;
            @SerializedName("DM.CloseECI")
            public String DMCloseECI;


            @SerializedName("MAXIC.Enable")
            public String MAXICEnable;
            @SerializedName("MAXIC.Minlen")
            public String MAXICMinlen;
            @SerializedName("MAXIC.Maxlen")
            public String MAXICMaxlen;
            @SerializedName("MAXIC.CodeNum")
            public String MAXICCodeNum;
            @SerializedName("MAXIC.NumFixed")
            public String MAXICNumFixed;


            @SerializedName("MICROPDF.Enable")
            public String MICROPDFEnable;
            @SerializedName("MICROPDF.Minlen")
            public String MICROPDFMinlen;
            @SerializedName("MICROPDF.Maxlen")
            public String MICROPDFMaxlen;


            @SerializedName("MICROQR.Enable")
            public String MICROQREnable;
            @SerializedName("MICROQR.Minlen")
            public String MICROQRMinlen;
            @SerializedName("MICROQR.Maxlen")
            public String MICROQRMaxlen;


            @SerializedName("PDF417.Enable")
            public String PDF417Enable;
            @SerializedName("PDF417.Minlen")
            public String PDF417Minlen;
            @SerializedName("PDF417.Maxlen")
            public String PDF417Maxlen;
            @SerializedName("PDF417.CodeNum")
            public String PDF417CodeNum;
            @SerializedName("PDF417.NumFixed")
            public String PDF417NumFixed;
            @SerializedName("PDF417.VideoMode")
            public String PDF417VideoMode;
            @SerializedName("PDF417.CloseECI")
            public String PDF417CloseECI;


            @SerializedName("QR.Enable")
            public String QREnable;
            @SerializedName("QR.Minlen")
            public String QRMinlen;
            @SerializedName("QR.Maxlen")
            public String QRMaxlen;
            @SerializedName("QR.CodeNum")
            public String QRCodeNum;
            @SerializedName("QR.NumFixed")
            public String QRNumFixed;
            @SerializedName("QR.VideoMode")
            public String QRVideoMode;
            @SerializedName("QR.CloseECI")
            public String QRCloseECI;


            @SerializedName("CODE11.Enable")
            public String CODE11Enable;
            @SerializedName("CODE11.Minlen")
            public String CODE11Minlen;
            @SerializedName("CODE11.Maxlen")
            public String CODE11Maxlen;
            @SerializedName("CODE11.TrsmtChkChar")
            public String CODE11TrsmtChkChar;
            @SerializedName("CODE11.ChkMode")
            public String CODE11ChkMode;


            @SerializedName("CODE39.Enable")
            public String CODE39Enable;
            @SerializedName("CODE39.Minlen")
            public String CODE39Minlen;
            @SerializedName("CODE39.Maxlen")
            public String CODE39Maxlen;
            @SerializedName("CODE39.Check")
            public String CODE39Check;
            @SerializedName("CODE39.TrsmtChkChar")
            public String CODE39TrsmtChkChar;
            @SerializedName("CODE39.TrsmtStasrtStop")
            public String CODE39TrsmtStasrtStop;
            @SerializedName("CODE39.FullAscii")
            public String CODE39FullAscii;
            @SerializedName("CODE39.Code32SpecEdit")
            public String CODE39Code32SpecEdit;
            @SerializedName("CODE39.BitCode32Prech")
            public String CODE39BitCode32Prech;
            @SerializedName("CODE39.Code32TrsmtChkChar")
            public String CODE39Code32TrsmtChkChar;
            @SerializedName("CODE39.Code32TrsmtStasrtStop")
            public String CODE39Code32TrsmtStasrtStop;


            @SerializedName("CODE93.Enable")
            public String CODE93Enable;
            @SerializedName("CODE93.Minlen")
            public String CODE93Minlen;
            @SerializedName("CODE93.Maxlen")
            public String CODE93Maxlen;
            @SerializedName("CODE93.Check")
            public String CODE93Check;


            @SerializedName("CODE128.Enable")
            public String CODE128Enable;
            @SerializedName("CODE128.Minlen")
            public String CODE128Minlen;
            @SerializedName("CODE128.Maxlen")
            public String CODE128Maxlen;
            @SerializedName("CODE128.TrsmtChkChar")
            public String CODE128TrsmtChkChar;


            @SerializedName("EAN8.Enable")
            public String EAN8Enable;
            @SerializedName("EAN8.TrsmtChkChar")
            public String EAN8TrsmtChkChar;
            @SerializedName("EAN8.Digit2")
            public String EAN8Digit2;
            @SerializedName("EAN8.Digit5")
            public String EAN8Digit5;
            @SerializedName("EAN8.AddonRequired")
            public String EAN8AddonRequired;
            @SerializedName("EAN8.MsgtoEan13")
            public String EAN8MsgtoEan13;
            @SerializedName("EAN8.TypetoEan13")
            public String EAN8TypetoEan13;


            @SerializedName("EAN13.Enable")
            public String EAN13Enable;
            @SerializedName("EAN13.TrsmtChkChar")
            public String EAN13TrsmtChkChar;
            @SerializedName("EAN13.AddonRequired")
            public String EAN13AddonRequired;
            @SerializedName("EAN13.Digit2")
            public String EAN13Digit2;
            @SerializedName("EAN13.Digit5")
            public String EAN13Digit5;


            @SerializedName("RSS.Enable")
            public String RSSEnable;
            @SerializedName("RSS.Minlen")
            public String RSSMinlen;
            @SerializedName("RSS.Maxlen")
            public String RSSMaxlen;
            @SerializedName("RSS.TrsmtAi")
            public String RSSTrsmtAi;


            @SerializedName("IND25.Enable")
            public String IND25Enable;
            @SerializedName("IND25.Minlen")
            public String IND25Minlen;
            @SerializedName("IND25.Maxlen")
            public String IND25Maxlen;
            @SerializedName("IND25.Check")
            public String IND25Check;
            @SerializedName("IND25.TrsmtChkChar")
            public String IND25TrsmtChkChar;


            @SerializedName("ITF.Enable")
            public String ITFEnable;
            @SerializedName("ITF.Minlen")
            public String ITFMinlen;
            @SerializedName("ITF.Maxlen")
            public String ITFMaxlen;
            @SerializedName("ITF.Check")
            public String ITFCheck;
            @SerializedName("ITF.TrsmtChkChar")
            public String ITFTrsmtChkChar;


            @SerializedName("ITF6.Enable")
            public String ITF6Enable;
            @SerializedName("ITF6.TrsmtChkChar")
            public String ITF6TrsmtChkChar;


            @SerializedName("ITF14.Enable")
            public String ITF14Enable;
            @SerializedName("ITF14.TrsmtChkChar")
            public String ITF14TrsmtChkChar;


            @SerializedName("ISSN.Enable")
            public String ISSNEnable;


            @SerializedName("ISBN.Enable")
            public String ISBNEnable;
            @SerializedName("ISBN.Length")
            public String ISBNLength;


            @SerializedName("MATRIX25.Enable")
            public String MATRIX25Enable;
            @SerializedName("MATRIX25.Minlen")
            public String MATRIX25Minlen;
            @SerializedName("MATRIX25.Maxlen")
            public String MATRIX25Maxlen;
            @SerializedName("MATRIX25.Check")
            public String MATRIX25Check;
            @SerializedName("MATRIX25.TrsmtChkChar")
            public String MATRIX25TrsmtChkChar;


            @SerializedName("MSIPLSY.Enable")
            public String MSIPLSYEnable;
            @SerializedName("MSIPLSY.Minlen")
            public String MSIPLSYMinlen;
            @SerializedName("MSIPLSY.Maxlen")
            public String MSIPLSYMaxlen;
            @SerializedName("MSIPLSY.Check")
            public String MSIPLSYCheck;
            @SerializedName("MSIPLSY.ChkMode")
            public String MSIPLSYChkMode;
            @SerializedName("MSIPLSY.TrsmtChkChar")
            public String MSIPLSYTrsmtChkChar;


            @SerializedName("PLSY.Enable")
            public String PLSYEnable;
            @SerializedName("PLSY.Minlen")
            public String PLSYMinlen;
            @SerializedName("PLSY.Maxlen")
            public String PLSYMaxlen;
            @SerializedName("PLSY.Check")
            public String PLSYCheck;
            @SerializedName("PLSY.TrsmtChkChar")
            public String PLSYTrsmtChkChar;


            @SerializedName("STD25.Enable")
            public String STD25Enable;
            @SerializedName("STD25.Minlen")
            public String STD25Minlen;
            @SerializedName("STD25.Maxlen")
            public String STD25Maxlen;
            @SerializedName("STD25.Check")
            public String STD25Check;
            @SerializedName("STD25.TrsmtChkChar")
            public String STD25TrsmtChkChar;


            @SerializedName("UCCEAN128.Enable")
            public String UCCEAN128Enable;
            @SerializedName("UCCEAN128.Minlen")
            public String UCCEAN128Minlen;
            @SerializedName("UCCEAN128.Maxlen")
            public String UCCEAN128Maxlen;


            @SerializedName("UPCE.Enable")
            public String UPCEEnable;
            @SerializedName("UPCE.TrsmtChkChar")
            public String UPCETrsmtChkChar;
            @SerializedName("UPCE.Digit2")
            public String UPCEDigit2;
            @SerializedName("UPCE.Digit5")
            public String UPCEDigit5;
            @SerializedName("UPCE.MsgToupca")
            public String UPCEMsgToupca;
            @SerializedName("UPCE.AddonRequired")
            public String UPCEAddonRequired;


            @SerializedName("UPCA.Enable")
            public String UPCAEnable;
            @SerializedName("UPCA.TrsmtChkChar")
            public String UPCATrsmtChkChar;
            @SerializedName("UPCA.Digit2")
            public String UPCADigit2;
            @SerializedName("UPCA.Digit5")
            public String UPCADigit5;
            @SerializedName("UPCA.Coupon")
            public String UPCACoupon;
            @SerializedName("UPCA.ReqCoupon")
            public String UPCAReqCoupon;
            @SerializedName("UPCA.Gs1Coupon")
            public String UPCAGs1Coupon;
            @SerializedName("UPCA.OutputMode")
            public String UPCAOutputMode;


            @SerializedName("AIM128.Enable")
            public String AIM128Enable;
            @SerializedName("AIM128.Minlen")
            public String AIM128Minlen;
            @SerializedName("AIM128.Maxlen")
            public String AIM128Maxlen;
            @SerializedName("AIM128.TrsmtChkChar")
            public String AIM128TrsmtChkChar;


            @SerializedName("CODE49.Enable")
            public String CODE49Enable;
            @SerializedName("CODE49.Minlen")
            public String CODE49Minlen;
            @SerializedName("CODE49.Maxlen")
            public String CODE49Maxlen;


            @SerializedName("CODE16K.Enable")
            public String CODE16KEnable;
            @SerializedName("CODE16K.Minlen")
            public String CODE16KMinlen;
            @SerializedName("CODE16K.Maxlen")
            public String CODE16KMaxlen;


            @SerializedName("DOTCODE.Enable")
            public String DOTCODEEnable;


            @SerializedName("CENTERDECODE.Enable")
            public String CENTERDECODEEnable;
            @SerializedName("CENTERDECODE.HorizontalCtrDec")
            public String CENTERDECODEHorizontalCtrDec;


            @SerializedName("AppIdSeparator.Enable")
            public String AppIdSeparatorEnable;


            @SerializedName("MultiDecode.Enable")
            public String MultiDecodeEnable;


            @SerializedName("OTHER.Denoise")
            public String OTHERDenoise;
            @SerializedName("OTHER.ExposureLevel")
            public String OTHERExposureLevel;
            @SerializedName("OTHER.SleepTimeSwitch")
            public String OTHERSleepTimeSwitch;
            @SerializedName("OTHER.OCRPVIenable")
            public String OTHEROCRPVIenable;


            @SerializedName("CODABAR.Enable")
            public String CODABAREnable;
            @SerializedName("CODABAR.Minlen")
            public String CODABARMinlen;
            @SerializedName("CODABAR.Maxlen")
            public String CODABARMaxlen;
            @SerializedName("CODABAR.Check")
            public String CODABARCheck;
            @SerializedName("CODABAR.TrsmtChkChar")
            public String CODABARTrsmtChkChar;
            @SerializedName("CODABAR.StartStopMode")
            public String CODABARStartStopMode;
            @SerializedName("CODABAR.TrsmtStasrtStop")
            public String CODABARTrsmtStasrtStop;


        }

        public static class EM2037 {
            @SerializedName("CODE128.Enable")
            public String CODE128Enable;
            @SerializedName("GS1128.Enable")
            public String GS1128Enable;
            @SerializedName("GS1128.Minlen")
            public String GS1128Minlen;
            @SerializedName("GS1128.Maxlen")
            public String GS1128Maxlen;
            @SerializedName("AIM128.Enable")
            public String AIM128Enable;
            @SerializedName("AIM128.Minlen")
            public String AIM128Minlen;
            @SerializedName("AIM128.Maxlen")
            public String AIM128Maxlen;
            @SerializedName("EAN8.Enable")
            public String EAN8Enable;
            @SerializedName("EAN8.ECCOutput")
            public String EAN8ECCOutput;
            @SerializedName("EAN8.DIGIT2")
            public String EAN8DIGIT2;
            @SerializedName("EAN8.DIGIT5")
            public String EAN8DIGIT5;
            @SerializedName("EAN8.AddendaRequired")
            public String EAN8AddendaRequired;
            @SerializedName("EAN13.Enable")
            public String EAN13Enable;
            @SerializedName("EAN13.ECCOutput")
            public String EAN13ECCOutput;
            @SerializedName("EAN13.DIGIT2")
            public String EAN13DIGIT2;
            @SerializedName("EAN13.DIGIT5")
            public String EAN13DIGIT5;
            @SerializedName("EAN13.Must")
            public String EAN13Must;
            @SerializedName("EAN13.EnEAN13toEAN413")
            public String EAN13EnEAN13toEAN413;
            @SerializedName("EAN13.EnEAN13toEAN414")
            public String EAN13EnEAN13toEAN414;
            @SerializedName("EAN13.EnEAN13toEAN419")
            public String EAN13EnEAN13toEAN419;
            @SerializedName("ISSN.Enable")
            public String ISSNEnable71;
            @SerializedName("ISBN.Enable")
            public String ISBNEnable285;
            @SerializedName("ISBN.Format10")
            public String ISBNFormat10;
            @SerializedName("UPCE.Enable")
            public String UPCEEnable;
            @SerializedName("UPCE.ECCOutput")
            public String UPCEECCOutput;
            @SerializedName("UPCE.DIGIT2")
            public String UPCEDIGIT2;
            @SerializedName("UPCE.DIGIT5")
            public String UPCEDIGIT5;
            @SerializedName("UPCE.SysChar")
            public String UPCESysChar;
            @SerializedName("UPCE.ExtSet")
            public String UPCEExtSet;
            @SerializedName("UPCA.Enable")
            public String UPCAEnable;
            @SerializedName("UPCA.ECCOutput")
            public String UPCAECCOutput;
            @SerializedName("UPCA.DIGIT2")
            public String UPCADIGIT2;
            @SerializedName("UPCA.DIGIT5")
            public String UPCADIGIT5;
            @SerializedName("UPCA.CheckChar")
            public String UPCACheckChar;
            @SerializedName("INTERLEAVED25.Enable")
            public String INTERLEAVED25Enable;
            @SerializedName("INTERLEAVED25.Minlen")
            public String INTERLEAVED25Minlen;
            @SerializedName("INTERLEAVED25.Maxlen")
            public String INTERLEAVED25Maxlen;
            @SerializedName("INTERLEAVED25.CheckChar")
            public String INTERLEAVED25CheckChar;
            @SerializedName("ITF6.Enable")
            public String ITF6Enable;
            @SerializedName("ITF6.ECCOutput")
            public String ITF6ECCOutput;
            @SerializedName("ITF14.Enable")
            public String ITF14Enable;
            @SerializedName("ITF14.ECCOutput")
            public String ITF14ECCOutput;
            @SerializedName("MATRIX25.Enable")
            public String MATRIX25Enable;
            @SerializedName("MATRIX25.Minlen")
            public String MATRIX25Minlen;
            @SerializedName("MATRIX25.Maxlen")
            public String MATRIX25Maxlen;
            @SerializedName("MATRIX25.CheckChar")
            public String MATRIX25CheckChar;
            @SerializedName("INDUSTRIAL25.Enable")
            public String INDUSTRIAL25Enable;
            @SerializedName("INDUSTRIAL25.Minlen")
            public String INDUSTRIAL25Minlen;
            @SerializedName("INDUSTRIAL25.Maxlen")
            public String INDUSTRIAL25Maxlen;
            @SerializedName("INDUSTRIAL25.CheckChar")
            public String INDUSTRIAL25CheckChar;
            @SerializedName("STANDARD25.Enable")
            public String STANDARD25Enable;
            @SerializedName("STANDARD25.Minlen")
            public String STANDARD25Minlen;
            @SerializedName("STANDARD25.Maxlen")
            public String STANDARD25Maxlen;
            @SerializedName("STANDARD25.CheckChar")
            public String STANDARD25CheckChar;
            @SerializedName("CODE39.Enable")
            public String CODE39Enable;
            @SerializedName("CODE39.Minlen")
            public String CODE39Minlen;
            @SerializedName("CODE39.Maxlen")
            public String CODE39Maxlen;
            @SerializedName("CODE39.CheckChar")
            public String CODE39CheckChar;
            @SerializedName("CODE39.StartStop")
            public String CODE39StartStop;
            @SerializedName("CODE39.FullASCII")
            public String CODE39FullASCII;
            @SerializedName("CODE39.EnCODE39toCODE32")
            public String CODE39EnCODE39toCODE32;
            @SerializedName("CODABAR.Enable")
            public String CODABAREnable;
            @SerializedName("CODABAR.Minlen")
            public String CODABARMinlen;
            @SerializedName("CODABAR.Maxlen")
            public String CODABARMaxlen;
            @SerializedName("CODABAR.CheckChar")
            public String CODABARCheckChar;
            @SerializedName("CODABAR.StartStop")
            public String CODABARStartStop;
            @SerializedName("CODABAR.StartStopFormatABCD")
            public String CODABARStartStopFormatABCD;
            @SerializedName("CODABAR.StartStopFormatUppercase")
            public String CODABARStartStopFormatUppercase;
            @SerializedName("CODE93.Enable")
            public String CODE93Enable;
            @SerializedName("CODE93.Minlen")
            public String CODE93Minlen;
            @SerializedName("CODE93.Maxlen")
            public String CODE93Maxlen;
            @SerializedName("CODE93.CheckChar")
            public String CODE93CheckChar;
            @SerializedName("GS1DATABAR.Enable")
            public String GS1DATABAREnable;
            @SerializedName("GS1DATABAR.OutPutAI")
            public String GS1DATABAROutPutAI;
            @SerializedName("CODE11.Enable")
            public String CODE11Enable;
            @SerializedName("CODE11.Minlen")
            public String CODE11Minlen;
            @SerializedName("CODE11.Maxlen")
            public String CODE11Maxlen;
            @SerializedName("CODE11.DigitsRequired")
            public String CODE11DigitsRequired;
            @SerializedName("CODE11.ECCOutput")
            public String CODE11ECCOutput;
            @SerializedName("PLESSEY.Enable")
            public String PLESSEYEnable;
            @SerializedName("PLESSEY.Minlen")
            public String PLESSEYMinlen;
            @SerializedName("PLESSEY.Maxlen")
            public String PLESSEYMaxlen;
            @SerializedName("PLESSEY.CheckChar")
            public String PLESSEYCheckChar;
            @SerializedName("MSIPLESSEY.Enable")
            public String MSIPLESSEYEnable;
            @SerializedName("MSIPLESSEY.Minlen")
            public String MSIPLESSEYMinlen;
            @SerializedName("MSIPLESSEY.Maxlen")
            public String MSIPLESSEYMaxlen;
            @SerializedName("MSIPLESSEY.DigitsRequired")
            public String MSIPLESSEYDigitsRequired;
            @SerializedName("MSIPLESSEY.ECCOutput")
            public String MSIPLESSEYECCOutput;
            @SerializedName("PDF417.Enable")
            public String PDF417Enable;
            @SerializedName("PDF417.Minlen")
            public String PDF417Minlen;
            @SerializedName("PDF417.Maxlen")
            public String PDF417Maxlen;
            @SerializedName("QR.Enable")
            public String QREnable;
            @SerializedName("QR.Minlen")
            public String QRMinlen;
            @SerializedName("QR.Maxlen")
            public String QRMaxlen;
            @SerializedName("DATAMATRIX.Enable")
            public String DATAMATRIXEnable;
            @SerializedName("DATAMATRIX.Minlen")
            public String DATAMATRIXMinlen;
            @SerializedName("DATAMATRIX.Maxlen")
            public String DATAMATRIXMaxlen;
            @SerializedName("DATAMATRIX.EnableRectangle")
            public String DATAMATRIXEnableRectangle;
            @SerializedName("DATAMATRIX.Image")
            public String DATAMATRIXImage;
            @SerializedName("DATAMATRIX.CheckChar")
            public String DATAMATRIXCheckChar;
            @SerializedName("CSCode.Enable")
            public String CSCodeEnable;
            @SerializedName("CSCode.Minlen")
            public String CSCodeMinlen;
            @SerializedName("CSCode.Maxlen")
            public String CSCodeMaxlen;
            @SerializedName("AZTEC.Enable")
            public String AZTECEnable;
            @SerializedName("AZTEC.Minlen")
            public String AZTECMinlen;
            @SerializedName("AZTEC.Maxlen")
            public String AZTECMaxlen;
        }
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
